var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from 'react';
import i18n from 'ui-i18n';
import Fab from '@mui/material/Fab';
import TuneIcon from '@mui/icons-material/Tune';
import RightArrowIcon from '@mui/icons-material/ChevronRight';
import { withTooltip } from '../HOCs/withTooltip';
import styles from './AdvancedSearchFabButton.module.css';
var FabButtonWithTooltip = withTooltip(Fab);
export var AdvancedSearchFabButton = forwardRef(function (_a, ref) {
    var tooltipTitle = _a.tooltipTitle, dataReltioId = _a.dataReltioId, onClick = _a.onClick, otherProps = __rest(_a, ["tooltipTitle", "dataReltioId", "onClick"]);
    return (React.createElement(FabButtonWithTooltip, __assign({ tooltipTitle: tooltipTitle || i18n.text('Open advanced search'), tooltipPlacement: "bottom-end", variant: "extended", classes: { root: styles.buttonRoot, extended: styles.buttonExtended }, onClick: onClick, "data-reltio-id": dataReltioId || 'reltio-advanced-search-fab-button', ref: ref }, otherProps),
        React.createElement(TuneIcon, { color: "primary", className: styles.menuIcon }),
        React.createElement("span", { className: styles.buttonLabel }, i18n.text('Advanced search')),
        React.createElement(RightArrowIcon, { color: "action", className: styles.goToActionIcon })));
});
AdvancedSearchFabButton.displayName = 'AdvancedSearchFabButton';
